コンテンツへスキップ

Qwen Image

統合

モデルID qwen-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.02 20 APIクレジット このページで実行

APIキーを取得
Alibaba テキストから画像 #text-to-image

LoRAに対応し、オプションのturboモードと選択可能なアクセラレーションを備えた基本テキストから画像生成モデル

Alibaba · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を誘導するプロンプト。

image_size デフォルト landscape_4_3

生成画像の寸法。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 negative_prompt · output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker · use_turbo · loras
デフォルト

生成時に使用するネガティブプロンプト。

output_format デフォルト png

結果の画像のファイル形式。

acceleration デフォルト none

画像生成の高速化。品質と速度のバランスには 'regular'、テキストを含まない画像には推奨の 'high' を選択します。'none' も使用できます。高速化を強めると生成が速くなります。

デフォルト 30

実行する推論ステップ数。

デフォルト 2.5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

デフォルト []

画像生成用LoRAの選択。最大3つを単一の統合設定にまとめ、最終画像を生成します。

POST /run/qwen-image?wait=20 見積もり → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Qwen Imageについて

`prompt` から画像を生成し、6種類の `image_size` プリセット、2から250の推論ステップ、1リクエストあたり最大4枚に対応します。`loras` で最大3つのLoRAをマージでき、`use_turbo` で10ステップの高速設定に切り替えられます。出力はpngまたはjpegで、`negative_prompt`、`seed`、`guidance_scale` に対応しています。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を誘導するプロンプト。
image_size任意
型object
デフォルトlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
num_inference_steps任意
型integer
デフォルト30
2 – 250
実行する推論ステップ数。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
guidance_scale任意
型number
デフォルト2.5
0 – 20
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
output_format任意
型enum
デフォルトpng
jpegpng
結果の画像のファイル形式。
negative_prompt任意
型string
デフォルト
生成時に使用するネガティブプロンプト。
acceleration任意
型enum
デフォルトnone
noneregularhigh
画像生成の高速化。品質と速度のバランスには 'regular'、テキストを含まない画像には推奨の 'high' を選択します。'none' も使用できます。高速化を強めると生成が速くなります。
loras任意
型object[]
デフォルト[]
画像生成用LoRAの選択。最大3つを単一の統合設定にまとめ、最終画像を生成します。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].scale任意
型number
デフォルト1
0 – 4
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
use_turbo任意
型boolean
デフォルトfalse
Turboモードでは、10ステップとCFG=1.2の最適化設定を適用し、高品質を保ちながら生成を高速化します。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/qwen-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt